### R code from vignette source 'eHOF.Rnw'
### Encoding: ISO8859-1

###################################################
### code chunk number 1: prep
###################################################
options(width=70, digits=2, SweaveHooks=list(fig=function() par(mar=c(4,4,1,1)+.1), cache=TRUE)
)


###################################################
### code chunk number 2: 1 (eval = FALSE)
###################################################
## vignette("eHOF")


###################################################
### code chunk number 3: load package (eval = FALSE)
###################################################
## tmp <- tempdir()
## URL <- 'http://geobot.botanik.uni-greifswald.de/download/r_package'
## download.file(paste(URL,'eHOF.tar.gz', sep='/'), destfile=file.path(tmp,'eHOF.tar.gz'))
## install.packages(file.path(tmp, 'eHOF.tar.gz'), type='source')


###################################################
### code chunk number 4: load
###################################################
library(eHOF)


###################################################
### code chunk number 5: 4site.echo
###################################################
library(vegdata)
db <- 'elbaue'
site <- tv.site(db)
veg <- tv.veg(db)


###################################################
### code chunk number 6: 5veg.2
###################################################
veg.sqrt <- tv.veg(db, cover.transform='sqrt')


###################################################
### code chunk number 7: 5veg.3
###################################################
veg.pa <- tv.veg(db, cover.transform='pa')


###################################################
### code chunk number 8: modeltypes
###################################################
data(acre)
sel <- c('ELYMREP', 'VEROPES', 'CONSREG', 'DESUSOP', 'VEROARV', 'ARTE#VU', 'ACHIMIL')
mo <- HOF(acre[match(sel, names(acre))], acre.env$PH_KCL, M=1, bootstrap=NULL)
autolayout(7)
for(i in 1:7) plot(mo[[i]], model = eHOF.modelnames[i], marginal ='n')


###################################################
### code chunk number 9: 10percentageVEG
###################################################
mods <- HOF(veg, site$MGL, M=100, family= poisson, bootstrap=NULL)


###################################################
### code chunk number 10: printPerc
###################################################
mods


###################################################
### code chunk number 11: 7sqrt
###################################################
mods.sq <- HOF(veg.sqrt, site$MGL, M=10, family= poisson, freq.limit=10, bootstrap=NULL)
print(plot(mods.sq))


###################################################
### code chunk number 12: 7pres-abs
###################################################
mods.pa <- HOF(veg.pa, site$MGL, M=1, bootstrap=NULL)
print(plot(mods.pa))


###################################################
### code chunk number 13: paraplot
###################################################
plot(mods.pa[['RANCREP']], para=TRUE, onlybest=FALSE)


###################################################
### code chunk number 14: sqrt-ELYMREP
###################################################
mod.ELYM.sqrt <- HOF(veg.sqrt$ELYMREP, site$MGL, M=10, family=poisson)
print(plot(mod.ELYM.sqrt, marginal='point', para=TRUE, onlybest=FALSE))


###################################################
### code chunk number 15: 11
###################################################
mods.pa <- HOF(veg.pa, site$MGL, M=1, freq.limit=7, family=poisson, bootstrap=NULL)
p <- Para(mods.pa)
p4 <- vector('list', length(mods.pa))
for(i in 1:length(mods.pa)) p4[[i]] <- Para(mods.pa[[i]], modeltypes='IV')
#p4
ind <- !sapply(p, function(x) x$model) %in% c('III','VI', 'VII')
p.opt <- sapply(p, function(x) x$opt)
p4.opt <- sapply(p4, function(x) x$opt)
plot(p.opt[ind], p4.opt[ind], xlab='best HOF model', ylab='only model IV')
for(i in 1:length(p.opt[!ind]))
    lines(unlist(p.opt[!ind][i]), rep(p4.opt[!ind][i], 2), col='darkgreen')
points(c(-270,-270), p4.opt[is.na(p.opt)], pch='+')


